#----------------------------------------------------------
#Function for the event procedure
#----------------------------------------------------------
use mpfc;

@invader_list_x;
@invader_list_y;
@fence_list_x;
@fence_list_y;
@invader_missile_list_x;
@invader_missile_list_y;
@my_missile_list_x;
@my_missile_list_y;
$my_base_x;
$my_base_y;

sub startep {
  my ($object) = @_;
  $my_base_x = 195;
  $my_base_y = 320;
  @invader_list_x =();
  @invader_list_y =();
  @fence_list_x =();
  @fence_list_y =();
  @invader_missile_list_x =();
  @invader_missile_list_y =();
  @my_missile_list_x =();
  @my_missile_list_y =();

  for($i=0; $i < 20; $i++){
    for($j=0; $j < 5; $j++){
      push(@invader_list_x, (50+$i*15));
      push(@invader_list_y, (50+$j*15));
    }
  }
  for($i=0; $i < 20; $i++){
    for($j=0; $j < 4; $j++){
      push(@fence_list_x, (50+$i*15));
      push(@fence_list_y, (280+$j*5));
    }
  }
  mpfc::WSCbase_setProperty($newvtim_001,"running",True);
}
1;
